#include "MenuTextMap_Player2Joystick.h"

InputSetting_Joystick* MenuTextMap_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextMap_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_map;
}

std::weak_ptr<Entity> MenuTextMap_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextMap_Player2Joystick()
{
	return std::make_shared<MenuTextMap_Player2Joystick>();
}


